# CycleGAN: Unpaired Image-to-Image Translation Using Cycle-Consistent Adversarial Networks

## Introduction

<!-- [ALGORITHM] -->

```bibtex
@inproceedings{zhu2017unpaired,
  title={Unpaired image-to-image translation using cycle-consistent adversarial networks},
  author={Zhu, Jun-Yan and Park, Taesung and Isola, Phillip and Efros, Alexei A},
  booktitle={Proceedings of the IEEE international conference on computer vision},
  pages={2223--2232},
  year={2017}
}
```

## Results and Models
<div align="center">
  <b> Results from CycleGAN trained by MMGeneration</b>
  <br/>
  <img src="https://user-images.githubusercontent.com/22982797/114303527-108ed200-9b01-11eb-978c-274392e4d8e0.PNG" width="800"/>
</div>

We use `FID` and `IS` metrics to evaluate the generation performance of CycleGAN.

`FID` evaluation:

| Dataset  | [facades](https://github.com/open-mmlab/mmgeneration/tree/master/configs/cyclegan/cyclegan_lsgan_resnet_in_1x1_80k_facades.py) | [facades-id0](https://github.com/open-mmlab/mmgeneration/tree/master/configs/cyclegan/cyclegan_lsgan_id0_resnet_in_1x1_80k_facades.py) | [summer2winter](https://github.com/open-mmlab/mmgeneration/tree/master/configs/cyclegan/cyclegan_lsgan_resnet_in_1x1_246200_summer2winter.py) | [summer2winter-id0](https://github.com/open-mmlab/mmgeneration/tree/master/configs/cyclegan/cyclegan_lsgan_id0_resnet_in_1x1_246200_summer2winter.py) | [winter2summer](https://github.com/open-mmlab/mmgeneration/tree/master/configs/cyclegan/cyclegan_lsgan_resnet_in_1x1_246200_winter2summer.py) | [winter2summer-id0](https://github.com/open-mmlab/mmgeneration/tree/master/configs/cyclegan/cyclegan_lsgan_id0_resnet_in_1x1_246200_winter2summer.py) | [horse2zebra](https://github.com/open-mmlab/mmgeneration/tree/master/configs/cyclegan/cyclegan_lsgan_resnet_in_1x1_266800_horse2zebra.py) | [horse2zebra-id0](https://github.com/open-mmlab/mmgeneration/tree/master/configs/cyclegan/cyclegan_lsgan_id0_resnet_in_1x1_266800_horse2zebra.py) | [zebra2horse](https://github.com/open-mmlab/mmgeneration/tree/master/configs/cyclegan/cyclegan_lsgan_resnet_in_1x1_266800_zebra2horse.py) | [zebra2horse-id0](https://github.com/open-mmlab/mmgeneration/tree/master/configs/cyclegan/cyclegan_lsgan_id0_resnet_in_1x1_266800_zebra2horse.py) |  average   |
| :------: | :----------------------------------------------------------------------------------------------------------------------------: | :------------------------------------------------------------------------------------------------------------------------------------: | :-------------------------------------------------------------------------------------------------------------------------------------------: | :---------------------------------------------------------------------------------------------------------------------------------------------------: | :-------------------------------------------------------------------------------------------------------------------------------------------: | :---------------------------------------------------------------------------------------------------------------------------------------------------: | :---------------------------------------------------------------------------------------------------------------------------------------: | :-----------------------------------------------------------------------------------------------------------------------------------------------: | :---------------------------------------------------------------------------------------------------------------------------------------: | :-----------------------------------------------------------------------------------------------------------------------------------------------: | :--------: |
| official |                                                          **123.626**                                                           |                                                              **119.726**                                                               |                                                                  **77.342**                                                                   |                                                                      **76.773**                                                                       |                                                                  **72.631**                                                                   |                                                                        74.239                                                                         |                                                                **62.111**                                                                 |                                                                      77.202                                                                       |                                                                **138.646**                                                                |                                                                    **137.050**                                                                    | **95.935** |
|   ours   |                                                            127.021                                                             |                                                                132.542                                                                 |                                                                    83.493                                                                     |                                                                        82.156                                                                         |                                                                    72.780                                                                     |                                                                      **73.516**                                                                       |                                                                  64.476                                                                   |                                                                    **74.728**                                                                     |                                                                  144.658                                                                  |                                                                      139.697                                                                      |   99.506   |

`IS` evaluation:

| Dataset  |  facades  | facades-id0 | summer2winter | summer2winter-id0 | winter2summer | winter2summer-id0 | horse2zebra | horse2zebra-id0 | zebra2horse | zebra2horse-id0 |  average   |
| :------: | :-------: | :---------: | :-----------: | :---------------: | :-----------: | :---------------: | :---------: | :-------------: | :---------: | :-------------: | :--------: |
| official |   1.638   |    1.697    |     2.762     |     **2.750**     |   **3.293**   |     **3.110**     |    1.375    |      1.584      |    3.186    |      3.047      |   2.444    |
|   ours   | **1.789** |  **1.945**  |   **2.940**   |       2.638       |     3.145     |       3.016       |  **1.567**  |    **1.664**    |  **3.332**  |    **3.272**    | **2.5308** |

Model and log downloads:

| Dataset  |                                                                                                                       facades                                                                                                                        |                                                                 facades-id0                                                                 |                                                                  summer2winter                                                                   |                                                                  summer2winter-id0                                                                   |                                                                  horse2zebra                                                                   |                                                                  horse2zebra-id0                                                                   |
| :------: | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: | :-----------------------------------------------------------------------------------------------------------------------------------------: | :----------------------------------------------------------------------------------------------------------------------------------------------: | :--------------------------------------------------------------------------------------------------------------------------------------------------: | :--------------------------------------------------------------------------------------------------------------------------------------------: | :------------------------------------------------------------------------------------------------------------------------------------------------: |
| download | [model](https://download.openmmlab.com/mmgen/cyclegan/cyclegan_lsgan_resnet_in_1x1_80k_facades_20210411_181307-ca3f0bcd.pth) \| [log](https://download.openmmlab.com/mmgen/cyclegan/cyclegan_lsgan_resnet_in_1x1_80k_facades_20210317_160938.log.json) | [model](https://download.openmmlab.com/mmgen/cyclegan/cyclegan_lsgan_id0_resnet_in_1x1_80k_facades_convert-bgr_20210411_181546-50fa108a.pth) | [model](https://download.openmmlab.com/mmgen/cyclegan/cyclegan_lsgan_resnet_in_1x1_246200_summer2winter_convert-bgr_20210411_181406-b351815d.pth) | [model](https://download.openmmlab.com/mmgen/cyclegan/cyclegan_lsgan_id0_resnet_in_1x1_246200_summer2winter_convert-bgr_20210411_181614-c32219a7.pth) | [model](https://download.openmmlab.com/mmgen/cyclegan/cyclegan_lsgan_resnet_in_1x1_266800_horse2zebra_convert-bgr_20210411_181443-daca4e99.pth) | [model](https://download.openmmlab.com/mmgen/cyclegan/cyclegan_lsgan_id0_resnet_in_1x1_266800_horse2zebra_convert-bgr_20210411_181642-1d4481e6.pth) |

Note: With a larger identity loss, the image-to-image translation becomes more conservative, which makes less changes. The original authors did not say what is the best weight for identity loss. Thus, in addition to the default setting, we also set the weight of identity loss to 0 (denoting `id0`) to make a more comprehensive comparison.
